phing-types

# Class: Reference Source Location: /types/Reference.php
### Class Overview
Class to hold a reference to another object in the project. | ### Variables $refid | ### Methods __construct getReferencedObject getRefId setRefId
### Child classes: PhingReference Helper class that implements the nested <reference> element of <phing> and <phingcall>.
### Class Details [line 25] Class to hold a reference to another object in the project. [ Top ] ### Class Variables #### $refid = [line 27] #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### constructor __construct [line 29]
`Reference __construct( [ $id = null])`
#### Parameters:
| $id |
[ Top ] ### method getReferencedObject [line 44]
`void getReferencedObject( $project)`
returns reference to object in references container of project #### Parameters:
| $project |
[ Top ] ### method getRefId [line 39]
`void getRefId( )`
[ Top ] ### method setRefId [line 35]
`void setRefId( $id)`
#### Parameters:
| $id |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:51 +0200 by phpDocumentor 1.4.3